/**
 * Class Human - a human being
 * 
 * @author Stephen Bloch
 * @version Feb. 21, 2000 
 */
public class Human
{
    // instance variables
	private int numLegs;
	private String name;

    /**
     * Constructor for objects of class Human.
	 * @param	name	the person's name
     */
    public Human(String name)
    {
        // initialise instance variables
		this.numLegs = 2; /* by default, pending amputation */
		this.name = name;
    }

    /**
     * move method.
     */
    public void move ()
    {
		if (numLegs == 2)
			System.out.println ("Walking on two legs.");
		else if (numLegs == 1)
			System.out.println ("Hopping on one leg.");
		else
			System.out.println ("Zipping around in a wheelchair.");
    }

	/**
	 * amputate method.
	 *
	 * @param	howMany	how many legs to amputate
	 */
	public void amputate (int howMany)
	{
		numLegs = numLegs - howMany;
	}
}
