/**
 * Class Spider - a spider
 * 
 * @author Stephen Bloch
 * @version Feb. 21, 2000 
 */
public class Spider
{
    // instance variables
    private int numLegs;

    /**
     * Constructor for objects of class Spider.
     */
    public Spider()
    {
        // initialise instance variables
        this.numLegs = 8; /* by default, pending amputation */
    }

    /**
     * move method.
     */
    public void move ()
    {
		if (this.numLegs >= 2)
			System.out.println ("Walking on " + this.numLegs + " legs.");
		else if (this.numLegs == 1)
			System.out.println ("Hopping on one leg.");
		else
			System.out.println ("They don't make wheelchairs for spiders.");
    }

	/**
	 * amputate method.
	 *
	 * @param	howMany	how many legs to amputate
	 */
	public void amputate (int howMany)
	{
		numLegs = numLegs - howMany;
	}

}
