/**
 * Class Human - write a description of the class here
 * 
 * @author: Stephen Bloch
 * date: Feb. 21, 2000
 */
public class Human extends Animal
{
    // instance variables - replace the example below with your own
	private int numLegs;
	private String name;

    /**
     * Constructor for objects of class Human
	 * @param	name	the human's name
     */
    public Human(String name)
    {
        // initialise instance variables
		this.numLegs = 2; /* by default, pending amputation */
		this.name = name;
    }

	// the standard "fill-in" methods
	/**
	 * toString method
	 *
	 * @return	a String representation of the Human
	 */
	public String toString ()
	{
		return this.name + ", a Human with " + this.numLegs + " legs";
	}

    /**
     * move method
     * 
     * @return     a description of the motion
     */
    public String move ()
    {
		if (numLegs == 2)
			return "Walking on two legs.";
		else if (numLegs == 1)
			return "Hopping on one leg.";
		else
			return "Zipping around in a wheelchair.";
    }

	/**
	 * amputate method
	 *
	 * @param	howMany	how many legs to amputate
	 */
	public void amputate (int howMany)
	{
		numLegs = numLegs - howMany;
	}
}
