/**
 * Class Spider - write a description of the class here
 * 
 * @author: Stephen Bloch
 * date: April 20, 2000
 */
public class Spider extends Animal
{
    // instance variables
    private int numLegs;

    /**
     * Constructor for objects of class Spider
     */
    public Spider()
    {
        // initialise instance variables
        this.numLegs = 8; /* by default, pending amputation */
    }


	// the standard "fill-in" methods
	/**
	 * toString method
	 *
	 * @return	a String representation of the Human
	 */
	public String toString ()
	{
		return "a spider with " + this.numLegs + " legs";
	}


    /**
     * move method
     * 
     * @return     a text description of the motion
     */
    public String move ()
    {
		if (this.numLegs >= 2)
			return "Walking on " + this.numLegs + " legs.";
		else if (this.numLegs == 1)
			return "Hopping on one leg.";
		else
			return "They don't make wheelchairs for spiders.";
    }

	/**
	 * amputate method
	 *
	 * @param	howMany	how many legs to amputate
	 */
	public void amputate (int howMany)
	{
		numLegs = numLegs - howMany;
	}

}
